Bug 192490 - Review Request: python-ogg - A Python wrapper for the Ogg libraries
Review Request: python-ogg - A Python wrapper for the Ogg libraries
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Aurelien Bompard
Fedora Package Reviews List
:
: 193054 (view as bug list)
Depends On:
Blocks: FE-ACCEPT 192491 193103
  Show dependency treegraph
 
Reported: 2006-05-19 23:03 EDT by Hugo Cisneiros
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-30 05:07:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
jwboyer: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Hugo Cisneiros 2006-05-19 23:03:16 EDT
Spec URL: http://www.devin.com.br/eitch/rpm/fedora/SPECS/python-ogg.spec
SRPM URL: http://www.devin.com.br/eitch/rpm/fedora/5/SRPMS/python-ogg-1.3-1.src.rpm
Description:

An object-oriented Python binding for the Ogg libraries. Ogg is a
multimedia bitstream format. With this you can write your own python
applications to play and encode audio files in ogg format.

Note:

Running rpmlint gave a Warning because we have a single include file (.h) in the package. Talking in IRC I thought it'll be a waste to create a whole -devel package for this file, I think it's unecessary. Feel free to comment about this. If it's really necessary, I'll split the package right away! ;)
Comment 1 Hans de Goede 2006-05-20 08:12:39 EDT
Hugo,

Good to see you're packing more stuff for FE I'm glad I sponsored you. I'll try
to review this for you, but I'm currently a bit busy. So this is as time permits. 

Because of this I'm not assigning this bug to myself untill I actually start the
review, to give other reviewers a chance to beat me to it :)

(Once a bug is assigned the person who has assigned the bug to himself is
supposed todo the review)
Comment 2 Aurelien Bompard 2006-05-25 05:23:58 EDT
* Please make a separate python-ogg-devel, because it will "Requires:
libogg-devel" ( the libogg header file is included at the top of
/usr/include/python2.4/pyogg/pyogg.h)
* Duplicate BuildRequires: libogg is already required by libogg-devel. In
general,  -devel subpackages require their main package.
Comment 3 Hugo Cisneiros 2006-05-25 06:21:58 EDT
Updated package:

Spec URL: http://www.devin.com.br/eitch/rpm/fedora/SPECS/python-ogg.spec
SRPM URL: 
http://www.devin.com.br/eitch/rpm/fedora/5/SRPMS/python-ogg-1.3-2.src.rpm

Changes:

- Forked the package with a -devel one including the header.

Notes:

Thanks for pointing out about the BuildRequires duplicate.
Comment 4 Aurelien Bompard 2006-05-25 07:55:35 EDT
The -devel package should explicitely Require libogg-devel
Comment 5 Hugo Cisneiros 2006-05-25 08:01:20 EDT
Done.
Comment 6 Aurelien Bompard 2006-05-25 11:32:05 EDT
Review for release 2:
* RPM name is OK
* Source pyogg-1.3.tar.gz is the same as upstream
* Builds fine in mock
* rpmlint of python-ogg looks OK
* rpmlint of python-ogg-devel looks OK
* File list of python-ogg looks OK
* File list of python-ogg-devel looks OK
* Works fine

APPROVED
Comment 7 Brian Pepple 2006-05-25 14:05:06 EDT
*** Bug 193054 has been marked as a duplicate of this bug. ***
Comment 8 Hugo Cisneiros 2006-05-30 05:07:45 EDT
Imported and built. Closing.
Thanks!
Comment 9 Matthias Saou 2007-03-02 13:24:22 EST
Existing Package CVS Request
============================
Package Name: python-ogg
NEW Short Description: Python wrapper for the Ogg libraries
NEW Owners: matthias@rpmforge.net
NEW Branches: EL-4 EL-5
InitialCC: none

Hugo Cisneiros has been AWOL :
https://www.redhat.com/archives/fedora-extras-list/2007-March/msg00017.html

(I still don't have rights to set the fedora-cvs flag...)
Comment 10 Peter Gordon 2007-03-02 22:33:24 EST
Matthias: You need to go into the accounts administration on
https://admin.fedoraproject.org/accounts/ and request to join the "fedorabugs"
group (if you have not already done so). That's what allows you to modify bug
attributes, set/change flags, re-assign bugs, et al.

I've set the fedora-cvs flag for you to '?', which lets the CVS admins know
about your package request.

Note You need to log in before you can comment on or make changes to this bug.